export type Construtorable<T> = {new(...args: any[]): T};
export type ClassType = Object;
export type PropertyType = string | symbol;

export enum DecoratorType {
  CLASS,
  PROPERTY,
  PARAMETER,
  METHOD,
}
