import { ClassType } from '@loafer/core/constants';
import getClassMetadata from '@loafer/core/util/metadata/getClassMetadata';
import { CONTEXT_INJECTABLE_DEFINITION } from '@loafer/context/constants';
import ConfigurationDefinition from '@loafer/context/definition/ConfigurationDefinition';

export const getConfigurationDefinition = (clazz: ClassType, isCreate: boolean = false) =>
  getClassMetadata(clazz, CONTEXT_INJECTABLE_DEFINITION, ConfigurationDefinition, isCreate);
