import { ClassType } from '@loafer/core/constants';
import getClassMetadata from '@loafer/core/util/metadata/getClassMetadata';
import { CONTEXT_INJECTABLE_DEFINITION } from '@loafer/context/constants';
import InjectableDefinition from '@loafer/context/definition/InjectableDefinition';

export const getInjectableDefinition = (clazz: ClassType, isCreate: boolean = false) =>
  getClassMetadata(clazz, CONTEXT_INJECTABLE_DEFINITION, InjectableDefinition, isCreate);
