import {
  ClassType,
  DecoratorType,
  PropertyType,
} from '@loafer/core/constants';

import {
  PouchScope,
} from '@loafer/pouches/constants';
import {
  validateQualifier,
} from '@loafer/pouches/util/qualifier';

import PouchFactory from '@loafer/pouches/factory/PouchFactory';
import AbstractPouchFactory from '@loafer/pouches/factory/implement/AbstractPouchFactory';
import PouchDefinition from '@loafer/pouches/factory/config/PouchDefinition';
import PouchDefinitionRegistry from '@loafer/pouches/factory/registry/PouchDefinitionRegistry';

class DefaultPouchFactory extends AbstractPouchFactory implements PouchFactory, PouchDefinitionRegistry {
  public constructor() {
    super();
  }
  public getPouch(qualifier: PropertyType, clazz: ClassType, ...args: any[]): any {

    return null;
  }
  public getPouchByType(clazz: ClassType, qualifier: PropertyType, ...args: any[]): any {
    let _qualifier = validateQualifier(clazz, qualifier);

    return null;
  }

}

export default DefaultPouchFactory;
