import {
  ClassType,
  PropertyType,
} from '@loafer/core/constants';

import PouchDefinition from '@loafer/pouches/factory/config/PouchDefinition';

interface PouchDefinitionRegistry {
  registerPouchDefinition(pouchDefinition: PouchDefinition): void;
  removePouchDefinition(clazz: ClassType, qualifier?: PropertyType): void;
  getPouchDefinition(clazz: ClassType, qualifier?: PropertyType): PouchDefinition;
  hasPouchDefinition(clazz: ClassType, qualifier?: PropertyType): boolean;
}

export default PouchDefinitionRegistry;
